Skip to main content

Create or update vehicle information

PUT /v2/post_checkout/orders/{order_id}/pickup/vehicle_info

Use this operation during curbside pickups to provide details about the customer's (or the pickup delegate's) vehicle. Instacart passes the details you provide to one or more store associates so that it's easier for the designated runner to identify the vehicle.

Security

NameInDescription
AuthorizationheaderThe Authorization header with the bearer token acquired during authentication.

Parameters

NameInTypeRequiredDescription
order_idpathstringRequired

The ID of the order.

Request

FieldTypeRequiredDescription
modelstringOptional

The vehicle's make and model.

vehicle_typestringOptional

The vehicle's body type. Must be one of hatchback, minivan, sedan, suv, truck, or other. Case-sensitive.

license_platestringOptional

The vehicle's license plate number.

colorstringOptional

The vehicle's color. Must be one of black, blue, brown, gray, green, yellow, orange, red, silver, or white. Case-sensitive.

is_pickup_delegatebooleanOptional

Indicates whether the person picking up the order is a delegate. If true, then a pickup delegate object must already be associated with the order for the feature to work correctly. Defaults to false.

Request examples

curl --request PUT \
--url 'https://connect.instacart.com/v2/post_checkout/orders/{order_id}/pickup/vehicle_info' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "string",
"vehicle_type": "hatchback",
"license_plate": "string",
"color": "black",
"is_pickup_delegate": true
}'

Response

FieldTypeRequiredDescription
vehicle_infoVehicleInfoRequired

The created/updated vehicle info.

VehicleInfo Object

FieldTypeRequiredDescription
idintegerRequired

The ID of the vehicle's information.

modelstringRequired

The model of the vehicle.

vehicle_typestringRequired

The body type of the vehicle.

license_platestringOptional

The license plate of the vehicle.

colorstringRequired

The vehicle's color.

color_hexstringOptional

The vehicle's color in hexadecimal.

Response examples

200 Success

{
"vehicle_info": {
"id": 123,
"model": "SomeCarModel",
"vehicle_type": "sedan",
"license_plate": "F4K3L1C3NC3",
"color": "silver",
"color_hex": "#E8E8E8"
}
}

4XX Errors

Error responses return either a single error or multiple errors.

HTTP CodeCauseError MessageError CodeError Meta
400Invalid params"Pickup unavailable for non-pickup orders"4001Not applicable
400Color is not valid"is not included in the list"1001{"key":"color"}
400Vehicle type is not valid"is not included in the list"1001{"key":"vehicle_type"}
400Order was not created with Fulfillment v3, trying to fetch with client credentials"User ID not found"4001Not applicable
404Order not found"Resource not found"4000Not applicable